//
//  LIMediumManagedObject-CoreData.m
//  Library
//
//  Created by William Shipley on 7/29/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "LIMedia.h"

#import "LIAbstractAmazonAttributesHolderManagedObject.h"
#import "LIAbstractAmazonAttributesHolderManagedObject-CoreData.h"


@implementation LIMedia (CoreData)

#pragma mark CoreData

 // Medium attributes
@dynamic associatedURL;
@dynamic creationDate;
@dynamic foreignUUIDString;
@dynamic hasExperienced;
@dynamic isSigned;
@dynamic key;
@dynamic locationSingularString;
@dynamic notes;
@dynamic ownerSingularString;
@dynamic privateCollection;
@dynamic purchaseDate;
@dynamic rare;
@dynamic rating;
@dynamic serialNumber;
@dynamic used;
 // Medium relationships
@dynamic amazonPerCountryCacheEntry;
@dynamic rootShelf;
@dynamic loan;
@dynamic shelves;
@dynamic userReview;
@dynamic userSynopsis;

@end

// Medium entity properties
// subentity names
NSString *LIMediumEntityName = @"Medium", *LIiTunesAbstractCollectionMediumEntityName = @"iTunesAbstractCollection";
// attribute keys
NSString *LIMediaAssociatedURLAttributeKey = @"associatedURL";
NSString *LIMediaCreationDateAttributeKey = @"creationDate";
NSString *LIMediaForeignUUIDStringAttributeKey = @"foreignUUIDString";
NSString *LIMediaHasExperiencedAttributeKey = @"hasExperienced";
NSString *LIMediaIsSignedAttributeKey = @"isSigned";
NSString *LIMediaKeyAttributeKey = @"key";
NSString *LIMediaLocationStringAttributeKey = @"location" STRING_REPRESENTING_TO_ONE_RELATIONSHIP_ATTRIBUTE_KEY_SUFFIX;
NSString *LIMediaNotesAttributeKey = @"notes";
NSString *LIMediaOwnerStringAttributeKey = @"owner" STRING_REPRESENTING_TO_ONE_RELATIONSHIP_ATTRIBUTE_KEY_SUFFIX;
NSString *LIMediaPrivateCollectionAttributeKey = @"privateCollection";
NSString *LIMediaPurchaseDateAttributeKey = @"purchaseDate";
NSString *LIMediaRareAttributeKey = @"rare";
NSString *LIMediaRatingAttributeKey = @"rating";
NSString *LIMediaSerialNumberAttributeKey = @"serialNumber";
NSString *LIMediaUsedAttributeKey = @"used";
// to-one relationship keys
NSString *LIMediaAmazonPerCountryCacheEntryRelationshipKey = @"amazonPerCountryCacheEntry";
NSString *LIMediaLoanRelationshipKey = @"loan";
NSString *LIMediaRootShelfRelationshipKey = @"rootShelf";
NSString *LIMediaUserReviewRelationshipKey = @"userReview";
NSString *LIMediaUserSynopsisRelationshipKey = @"userSynopsis";
